SortedMapProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.proxy
Class SortedMapProxy<K,V>

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.proxy.SortedMapProxy<K,V>

All Implemented Interfaces:
  Serializable, Map<K,V>, SortedMap<K,V>

    public class SortedMapProxy<K,V>

extends Object
implements SortedMap<K,V>, Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary
`protected SortedMap<K,V>` | `delegate`

Constructor Summary
`SortedMapProxy()`
`SortedMapProxy(Initializor<SortedMap<K,V>> initializor)`

Method Summary
`void` | `clear()`
`Comparator<? super K>` | `comparator()`
`boolean` | `containsKey(Object o)`
`boolean` | `containsValue(Object o)`
`Set<Map.Entry<K,V>>` | `entrySet()`
`boolean` | `equals(Object o)`
`K` | `firstKey()`
`V` | `get(Object o)`
`int` | `hashCode()`
`SortedMap<K,V>` | `headMap(K k)`
`boolean` | `isEmpty()`
`Set<K>` | `keySet()`
`K` | `lastKey()`
`V` | `put(K k, V v)`
`void` | `putAll(Map<? extends K,? extends V> map)`
`V` | `remove(Object o)`
`int` | `size()`
`SortedMap<K,V>` | `subMap(K k, K k1)`
`SortedMap<K,V>` | `tailMap(K k)`
`Collection<V>` | `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected SortedMap<K,V> delegate

Constructor Detail

### SortedMapProxy

    public SortedMapProxy()

### SortedMapProxy

    public SortedMapProxy(Initializor<SortedMap<K,V>> initializor)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Map<K,V>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<K,V>`

### containsKey

    public boolean containsKey(Object o)

  Specified by:
    `containsKey` in interface `Map<K,V>`

### containsValue

    public boolean containsValue(Object o)

  Specified by:
    `containsValue` in interface `Map<K,V>`

### get

    public V get(Object o)

  Specified by:
    `get` in interface `Map<K,V>`

### put

    public V put(K k,
                 V v)

  Specified by:
    `put` in interface `Map<K,V>`

### remove

    public V remove(Object o)

  Specified by:
    `remove` in interface `Map<K,V>`

### putAll

    public void putAll(Map<? extends K,? extends V> map)

  Specified by:
    `putAll` in interface `Map<K,V>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<K,V>`

### keySet

    public Set<K> keySet()

  Specified by:
    `keySet` in interface `Map<K,V>`
  Specified by:
    `keySet` in interface `SortedMap<K,V>`

### values

    public Collection<V> values()

  Specified by:
    `values` in interface `Map<K,V>`
  Specified by:
    `values` in interface `SortedMap<K,V>`

### entrySet

    public Set<Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `Map<K,V>`
  Specified by:
    `entrySet` in interface `SortedMap<K,V>`

### comparator

    public Comparator<? super K> comparator()

  Specified by:
    `comparator` in interface `SortedMap<K,V>`

### subMap

    public SortedMap<K,V> subMap(K k,
                                 K k1)

  Specified by:
    `subMap` in interface `SortedMap<K,V>`

### headMap

    public SortedMap<K,V> headMap(K k)

  Specified by:
    `headMap` in interface `SortedMap<K,V>`

### tailMap

    public SortedMap<K,V> tailMap(K k)

  Specified by:
    `tailMap` in interface `SortedMap<K,V>`

### firstKey

    public K firstKey()

  Specified by:
    `firstKey` in interface `SortedMap<K,V>`

### lastKey

    public K lastKey()

  Specified by:
    `lastKey` in interface `SortedMap<K,V>`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map<K,V>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<K,V>`
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.